Regression for ubuntu_kernel_selftests [net] ubuntu_bpf test case fails to build on disco

Bug #1829812 reported by Po-Hsu Lin on 2019-05-21
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubuntu-kernel-tests
Undecided
Unassigned
linux (Ubuntu)
Medium
Unassigned
Disco
Medium
Stefan Bader
linux-aws (Ubuntu)
Undecided
Unassigned
Disco
Undecided
Unassigned
linux-azure (Ubuntu)
Undecided
Unassigned
Disco
Undecided
Unassigned

Bug Description

[SRU Justification]

== Impact ==
Some upstream stable change modified the bpf selftest to use a function that probes for existing eBPF program types. However that function does not exist in the 5.0 kernel sources.

== Fix ==
Picking two additional changes from upstream (which only modify the tools sub-directory), allows to compile the selftests again.

== Risk of Regression ==
Since the kernel itself is not touched, the risk is low.

== Testcase ==
With build-essential installed and the Disco kernel tree cloned:

cd tools/testing/selftests/
TARGET=net make

---

This test will failed to build on 5.0.0-16 Disco.

5.0.0-16 Disco + 5.0.0-15 source code - build OK
5.0.0-16 Disco + 5.0.0-16 source code - Failed

Bisect shows this one e38969c9 (selftests/bpf: skip verifier tests for unsupported program types) in our tree is the cause (upstream commit: 8184d44c)

Which uses a "recently introduced bpf_probe_prog_type()" to skip test. And we don't have it implemented.

  make[1]: Entering directory '/home/ubuntu/autotest/client/tmp/ubuntu_bpf/src/linux/tools/testing/selftests/bpf'
  gcc -o /home/ubuntu/autotest/client/tmp/ubuntu_bpf/src/linux/tools/testing/selftests/bpf/urandom_read -static urandom_read.c -Wl,--build-id
  make -C ../../../lib/bpf OUTPUT=/home/ubuntu/autotest/client/tmp/ubuntu_bpf/src/linux/tools/testing/selftests/bpf/
  make[2]: Entering directory '/home/ubuntu/autotest/client/tmp/ubuntu_bpf/src/linux/tools/lib/bpf'

  Auto-detecting system features:
  ... libelf: [ on ]
  ... bpf: [ on ]

    HOSTCC /home/ubuntu/autotest/client/tmp/ubuntu_bpf/src/linux/tools/testing/selftests/bpf/fixdep.o
    HOSTLD /home/ubuntu/autotest/client/tmp/ubuntu_bpf/src/linux/tools/testing/selftests/bpf/fixdep-in.o
    LINK /home/ubuntu/autotest/client/tmp/ubuntu_bpf/src/linux/tools/testing/selftests/bpf/fixdep
    CC /home/ubuntu/autotest/client/tmp/ubuntu_bpf/src/linux/tools/testing/selftests/bpf/libbpf.o
    CC /home/ubuntu/autotest/client/tmp/ubuntu_bpf/src/linux/tools/testing/selftests/bpf/bpf.o
    CC /home/ubuntu/autotest/client/tmp/ubuntu_bpf/src/linux/tools/testing/selftests/bpf/nlattr.o
    CC /home/ubuntu/autotest/client/tmp/ubuntu_bpf/src/linux/tools/testing/selftests/bpf/btf.o
    CC /home/ubuntu/autotest/client/tmp/ubuntu_bpf/src/linux/tools/testing/selftests/bpf/libbpf_errno.o
    CC /home/ubuntu/autotest/client/tmp/ubuntu_bpf/src/linux/tools/testing/selftests/bpf/str_error.o
    CC /home/ubuntu/autotest/client/tmp/ubuntu_bpf/src/linux/tools/testing/selftests/bpf/netlink.o
    CC /home/ubuntu/autotest/client/tmp/ubuntu_bpf/src/linux/tools/testing/selftests/bpf/bpf_prog_linfo.o
    LD /home/ubuntu/autotest/client/tmp/ubuntu_bpf/src/linux/tools/testing/selftests/bpf/libbpf-in.o
    LINK /home/ubuntu/autotest/client/tmp/ubuntu_bpf/src/linux/tools/testing/selftests/bpf/libbpf.a
    LINK /home/ubuntu/autotest/client/tmp/ubuntu_bpf/src/linux/tools/testing/selftests/bpf/libbpf.so
    LINK /home/ubuntu/autotest/client/tmp/ubuntu_bpf/src/linux/tools/testing/selftests/bpf/test_libbpf
  make[2]: Leaving directory '/home/ubuntu/autotest/client/tmp/ubuntu_bpf/src/linux/tools/lib/bpf'
  gcc -Wall -O2 -I../../../include/uapi -I../../../lib -I../../../lib/bpf -I../../../../include/generated -I../../../include test_verifier.c /home/ubuntu/autotest/client/tmp/ubuntu_bpf/src/linux/tools/testing/selftests/bpf/libbpf.a -lcap -lelf -lrt -lpthread -o /home/ubuntu/autotest/client/tmp/ubuntu_bpf/src/linux/tools/testing/selftests/bpf/test_verifier
  make[1]: Leaving directory '/home/ubuntu/autotest/client/tmp/ubuntu_bpf/src/linux/tools/testing/selftests/bpf'
  make: Leaving directory '/home/ubuntu/autotest/client/tmp/ubuntu_bpf/src/linux/tools/testing/selftests'
  stderr:
  Warning: Kernel ABI header at 'tools/include/uapi/linux/if_link.h' differs from latest version at 'include/uapi/linux/if_link.h'
  test_verifier.c: In function ‘do_test_single’:
  test_verifier.c:15951:22: warning: implicit declaration of function ‘bpf_probe_prog_type’; did you mean ‘bpf_program__set_type’? [-Wimplicit-function-declaration]
    if (fd_prog < 0 && !bpf_probe_prog_type(prog_type, 0)) {
                        ^~~~~~~~~~~~~~~~~~~
                        bpf_program__set_type
  /usr/bin/ld: /tmp/ccRNIovw.o: in function `do_test_single':
  test_verifier.c:(.text+0xf41): undefined reference to `bpf_probe_prog_type'
  collect2: error: ld returned 1 exit status
  make[1]: *** [../lib.mk:152: /home/ubuntu/autotest/client/tmp/ubuntu_bpf/src/linux/tools/testing/selftests/bpf/test_verifier] Error 1
  make: *** [Makefile:90: all] Error 2

ProblemType: Bug
DistroRelease: Ubuntu 19.04
Package: linux-image-5.0.0-16-generic 5.0.0-16.17
ProcVersionSignature: User Name 5.0.0-16.17-generic 5.0.8
Uname: Linux 5.0.0-16-generic x86_64
AlsaDevices:
 total 0
 crw-rw---- 1 root audio 116, 1 May 21 04:54 seq
 crw-rw---- 1 root audio 116, 33 May 21 04:54 timer
AplayDevices: Error: [Errno 2] No such file or directory: 'aplay': 'aplay'
ApportVersion: 2.20.10-0ubuntu27
Architecture: amd64
ArecordDevices: Error: [Errno 2] No such file or directory: 'arecord': 'arecord'
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/seq', '/dev/snd/timer'] failed with exit code 1:
CurrentDmesg:

Date: Tue May 21 05:08:27 2019
IwConfig: Error: [Errno 2] No such file or directory: 'iwconfig': 'iwconfig'
Lsusb: Bus 001 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
MachineType: QEMU Standard PC (i440FX + PIIX, 1996)
PciMultimedia:

ProcFB: 0 cirrusdrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.0.0-16-generic root=UUID=8595ef43-8a93-42a9-9f7b-92ebcc44df3f ro
RelatedPackageVersions:
 linux-restricted-modules-5.0.0-16-generic N/A
 linux-backports-modules-5.0.0-16-generic N/A
 linux-firmware 1.178.1
RfKill: Error: [Errno 2] No such file or directory: 'rfkill': 'rfkill'
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 04/01/2014
dmi.bios.vendor: SeaBIOS
dmi.bios.version: Ubuntu-1.8.2-1ubuntu1
dmi.chassis.type: 1
dmi.chassis.vendor: QEMU
dmi.chassis.version: pc-i440fx-xenial
dmi.modalias: dmi:bvnSeaBIOS:bvrUbuntu-1.8.2-1ubuntu1:bd04/01/2014:svnQEMU:pnStandardPC(i440FX+PIIX,1996):pvrpc-i440fx-xenial:cvnQEMU:ct1:cvrpc-i440fx-xenial:
dmi.product.name: Standard PC (i440FX + PIIX, 1996)
dmi.product.version: pc-i440fx-xenial
dmi.sys.vendor: QEMU

Po-Hsu Lin (cypressyew) wrote :

This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window:

apport-collect 1829812

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Po-Hsu Lin (cypressyew) on 2019-05-21
description: updated
Sean Feole (sfeole) wrote :
Download full text (3.2 KiB)

Caught this failing on arm64 , disco, 5.0.0-1007.7 linux-aws,

05/18 08:00:22 DEBUG| utils:0153| [stdout] make[2]: Leaving directory '/home/ubuntu/autotest/client/tmp/ubuntu_kernel_selftests/src/linux/tools/lib/bpf'
05/18 08:00:22 DEBUG| utils:0153| [stdout] gcc -Wall -O2 -I../../../include/uapi -I../../../lib -I../../../lib/bpf -I../../../../include/generated -I../../../include test_verifier.c /home/ubuntu/autotest/client/tmp/ubuntu_kernel_selftests/src/linux/tools/testing/selftests/bpf/libbpf.a -lcap -lelf -lrt -lpthread -o /home/ubuntu/autotest/client/tmp/ubuntu_kernel_selftests/src/linux/tools/testing/selftests/bpf/test_verifier
05/18 08:00:23 ERROR| utils:0153| [stderr] test_verifier.c: In function ‘do_test_single’:
05/18 08:00:23 ERROR| utils:0153| [stderr] test_verifier.c:15951:22: warning: implicit declaration of function ‘bpf_probe_prog_type’; did you mean ‘bpf_program__set_type’? [-Wimplicit-function-declaration]
05/18 08:00:23 ERROR| utils:0153| [stderr] if (fd_prog < 0 && !bpf_probe_prog_type(prog_type, 0)) {
05/18 08:00:23 ERROR| utils:0153| [stderr] ^~~~~~~~~~~~~~~~~~~
05/18 08:00:23 ERROR| utils:0153| [stderr] bpf_program__set_type
05/18 08:00:23 ERROR| utils:0153| [stderr] /usr/bin/ld: /tmp/cc9290dq.o: in function `do_test_single':
05/18 08:00:23 ERROR| utils:0153| [stderr] test_verifier.c:(.text+0x8c8): undefined reference to `bpf_probe_prog_type'
05/18 08:00:23 ERROR| utils:0153| [stderr] collect2: error: ld returned 1 exit status
05/18 08:00:23 DEBUG| utils:0153| [stdout] make[1]: Leaving directory '/home/ubuntu/autotest/client/tmp/ubuntu_kernel_selftests/src/linux/tools/testing/selftests/bpf'
05/18 08:00:23 DEBUG| utils:0153| [stdout] make: Leaving directory '/home/ubuntu/autotest/client/tmp/ubuntu_kernel_selftests/src/linux/tools/testing/selftests'
05/18 08:00:23 ERROR| utils:0153| [stderr] make[1]: *** [../lib.mk:152: /home/ubuntu/autotest/client/tmp/ubuntu_kernel_selftests/src/linux/tools/testing/selftests/bpf/test_verifier] Error 1
05/18 08:00:23 ERROR| utils:0153| [stderr] make: *** [Makefile:90: all] Error 2
05/18 08:00:23 ERROR| test:0414| Exception escaping from test:
Traceback (most recent call last):
  File "/home/ubuntu/autotest/client/shared/test.py", line 411, in _exec
    _call_test_function(self.execute, *p_args, **p_dargs)
  File "/home/ubuntu/autotest/client/shared/test.py", line 823, in _call_test_function
    return func(*args, **dargs)
  File "/home/ubuntu/autotest/client/shared/test.py", line 291, in execute
    postprocess_profiled_run, args, dargs)
  File "/home/ubuntu/autotest/client/shared/test.py", line 212, in _call_run_once
    self.run_once(*args, **dargs)
  File "/home/ubuntu/autotest/client/tests/ubuntu_kernel_selftests/ubuntu_kernel_selftests.py", line 144, in run_once
    utils.system(cmd)
  File "/home/ubuntu/autotest/client/shared/utils.py", line 1232, in system
    verbose=verbose).exit_status
  File "/home/ubuntu/autotest/client/shared/utils.py", line 918, in run
    "Command returned non-zero exit status")
CmdError: Command <make -C linux/tools/testing/selftests TARGETS=bpf> failed, rc=2, Command returned non-zero exit status
* Command:
    make -C linux/tools/testing/se...

Read more...

tags: added: arm64
tags: added: linux-aws
summary: - Regression for ubuntu_bpf test case in 5.0.0-16
+ Regression for ubuntu_bpf test case fails to build on disco
Download full text (3.3 KiB)

This is coming up on the azure kernel as well. Various instance flavor types:

05/20 14:12:08 DEBUG| utils:0153| [stdout] make[2]: Leaving directory '/home/azure/autotest/client/tmp/ubuntu_kernel_selftests/src/linux/tools/lib/bpf'
05/20 14:12:08 DEBUG| utils:0153| [stdout] gcc -Wall -O2 -I../../../include/uapi -I../../../lib -I../../../lib/bpf -I../../../../include/generated -I../../../include test_verifier.c /home/azure/autotest/client/tmp/ubuntu_kernel_selftests/src/linux/tools/testing/selftests/bpf/libbpf.a -lcap -lelf -lrt -lpthread -o /home/azure/autotest/client/tmp/ubuntu_kernel_selftests/src/linux/tools/testing/selftests/bpf/test_verifier
05/20 14:12:09 ERROR| utils:0153| [stderr] test_verifier.c: In function ‘do_test_single’:
05/20 14:12:09 ERROR| utils:0153| [stderr] test_verifier.c:15951:22: warning: implicit declaration of function ‘bpf_probe_prog_type’; did you mean ‘bpf_program__set_type’? [-Wimplicit-function-declaration]
05/20 14:12:09 ERROR| utils:0153| [stderr] if (fd_prog < 0 && !bpf_probe_prog_type(prog_type, 0)) {
05/20 14:12:09 ERROR| utils:0153| [stderr] ^~~~~~~~~~~~~~~~~~~
05/20 14:12:09 ERROR| utils:0153| [stderr] bpf_program__set_type
05/20 14:12:09 ERROR| utils:0153| [stderr] /usr/bin/ld: /tmp/ccUGUMFc.o: in function `do_test_single':
05/20 14:12:09 ERROR| utils:0153| [stderr] test_verifier.c:(.text+0xf41): undefined reference to `bpf_probe_prog_type'
05/20 14:12:10 ERROR| utils:0153| [stderr] collect2: error: ld returned 1 exit status
05/20 14:12:10 ERROR| utils:0153| [stderr] make[1]: *** [../lib.mk:152: /home/azure/autotest/client/tmp/ubuntu_kernel_selftests/src/linux/tools/testing/selftests/bpf/test_verifier] Error 1
05/20 14:12:10 DEBUG| utils:0153| [stdout] make[1]: Leaving directory '/home/azure/autotest/client/tmp/ubuntu_kernel_selftests/src/linux/tools/testing/selftests/bpf'
05/20 14:12:10 DEBUG| utils:0153| [stdout] make: Leaving directory '/home/azure/autotest/client/tmp/ubuntu_kernel_selftests/src/linux/tools/testing/selftests'
05/20 14:12:10 ERROR| utils:0153| [stderr] make: *** [Makefile:90: all] Error 2
05/20 14:12:10 ERROR| test:0414| Exception escaping from test:
Traceback (most recent call last):
  File "/home/azure/autotest/client/shared/test.py", line 411, in _exec
    _call_test_function(self.execute, *p_args, **p_dargs)
  File "/home/azure/autotest/client/shared/test.py", line 823, in _call_test_function
    return func(*args, **dargs)
  File "/home/azure/autotest/client/shared/test.py", line 291, in execute
    postprocess_profiled_run, args, dargs)
  File "/home/azure/autotest/client/shared/test.py", line 212, in _call_run_once
    self.run_once(*args, **dargs)
  File "/home/azure/autotest/client/tests/ubuntu_kernel_selftests/ubuntu_kernel_selftests.py", line 144, in run_once
    utils.system(cmd)
  File "/home/azure/autotest/client/shared/utils.py", line 1232, in system
    verbose=verbose).exit_status
  File "/home/azure/autotest/client/shared/utils.py", line 918, in run
    "Command returned non-zero exit status")
CmdError: Command <make -C linux/tools/testing/selftest...

Read more...

tags: added: aws azure
Sean Feole (sfeole) wrote :

Affects: Disco, 5.0.0-1007.7 linux-azure

summary: - Regression for ubuntu_bpf test case fails to build on disco
+ Regression for ubuntu_kernel_selftests [net] ubuntu_bpf test case fails
+ to build on disco
Stefan Bader (smb) wrote :

That will be affecting all the 5.0 based kernels as the commit

commit cf651d7007c17bf1bb23fa3a2cb5d1dd2e301c65
Author: Stanislav Fomichev <email address hidden>
Date: Mon Jan 28 09:21:16 2019 -0800

    selftests/bpf: skip verifier tests for unsupported program types

in upstream stable v5.0.7. It would require

commit 1bf4b05810fe38c5f09973295e8d4234a4fd5d87
Author: Quentin Monnet <email address hidden>
Date: Thu Jan 17 15:27:53 2019 +0000

    tools: bpftool: add probes for eBPF program types

backported (not tried yet how hard that is) which has not been done upstream stable (at least not up to v5.0.15). Likely nobody tried yet.

Unless we have something else that makes a re-spin a must, I would hesitate to initiate a full round for the test being broken. Do we have a way to work around this? And we should work on the resolution (either additional backport or revert) to be included in the next cycle.

Stefan Bader (smb) on 2019-05-29
Changed in linux (Ubuntu):
assignee: nobody → Stefan Bader (smb)
importance: Undecided → Medium
status: Incomplete → In Progress
Changed in linux (Ubuntu Disco):
assignee: nobody → Stefan Bader (smb)
importance: Undecided → Medium
status: New → In Progress
Changed in linux (Ubuntu):
assignee: Stefan Bader (smb) → nobody
status: In Progress → Incomplete
Stefan Bader (smb) on 2019-05-29
description: updated
Sean Feole (sfeole) wrote :

affects linux-oem-osp1 5.0.0-1008.9

tags: added: linux-oem-osp1
Changed in linux (Ubuntu Disco):
status: In Progress → Fix Committed
Po-Hsu Lin (cypressyew) wrote :

This is affecting OEM-OSP1 (5.0.0-1009.10-oem-osp1) as well, we might need to rebase this fix to it.

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-disco' to 'verification-done-disco'. If the problem still exists, change the tag 'verification-needed-disco' to 'verification-failed-disco'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-disco
Po-Hsu Lin (cypressyew) wrote :

The test can be built on D-generic / D-KVM without any issue.

tags: added: verification-done-disco
removed: verification-needed-disco
Launchpad Janitor (janitor) wrote :
Download full text (57.6 KiB)

This bug was fixed in the package linux-aws - 5.0.0-1011.12

---------------
linux-aws (5.0.0-1011.12) disco; urgency=medium

  * linux-aws: 5.0.0-1011.12 -proposed tracker (LP: #1834886)

  * AX88772A USB to Ethernet dongle doesn't work (LP: #1834114)
    - [Config] aws: update configs for ASIX rename

  [ Ubuntu: 5.0.0-21.22 ]

  * linux: 5.0.0-21.22 -proposed tracker (LP: #1834902)
  * Disco update: 5.0.15 upstream stable release (LP: #1834529)
    - net: stmmac: Use bfsize1 in ndesc_init_rx_desc
    - Drivers: hv: vmbus: Remove the undesired put_cpu_ptr() in hv_synic_cleanup()
    - ubsan: Fix nasty -Wbuiltin-declaration-mismatch GCC-9 warnings
    - staging: greybus: power_supply: fix prop-descriptor request size
    - staging: wilc1000: Avoid GFP_KERNEL allocation from atomic context.
    - staging: most: cdev: fix chrdev_region leak in mod_exit
    - staging: most: sound: pass correct device when creating a sound card
    - ASoC: tlv320aic3x: fix reset gpio reference counting
    - ASoC: hdmi-codec: fix S/PDIF DAI
    - ASoC: stm32: sai: fix iec958 controls indexation
    - ASoC: stm32: sai: fix exposed capabilities in spdif mode
    - ASoC: stm32: sai: fix race condition in irq handler
    - ASoC:soc-pcm:fix a codec fixup issue in TDM case
    - ASoC:hdac_hda:use correct format to setup hda codec
    - ASoC:intel:skl:fix a simultaneous playback & capture issue on hda platform
    - ASoC: dpcm: prevent snd_soc_dpcm use after free
    - ASoC: nau8824: fix the issue of the widget with prefix name
    - ASoC: nau8810: fix the issue of widget with prefixed name
    - ASoC: samsung: odroid: Fix clock configuration for 44100 sample rate
    - ASoC: rt5682: Check JD status when system resume
    - ASoC: rt5682: fix jack type detection issue
    - ASoC: rt5682: recording has no sound after booting
    - ASoC: wm_adsp: Add locking to wm_adsp2_bus_error
    - clk: meson-gxbb: round the vdec dividers to closest
    - ASoC: stm32: dfsdm: manage multiple prepare
    - ASoC: stm32: dfsdm: fix debugfs warnings on entry creation
    - ASoC: cs4270: Set auto-increment bit for register writes
    - ASoC: dapm: Fix NULL pointer dereference in snd_soc_dapm_free_kcontrol
    - drm/omap: hdmi4_cec: Fix CEC clock handling for PM
    - IB/hfi1: Clear the IOWAIT pending bits when QP is put into error state
    - IB/hfi1: Eliminate opcode tests on mr deref
    - IB/hfi1: Fix the allocation of RSM table
    - MIPS: KGDB: fix kgdb support for SMP platforms.
    - ASoC: tlv320aic32x4: Fix Common Pins
    - drm/mediatek: Fix an error code in mtk_hdmi_dt_parse_pdata()
    - perf/x86/intel: Fix handling of wakeup_events for multi-entry PEBS
    - perf/x86/intel: Initialize TFA MSR
    - linux/kernel.h: Use parentheses around argument in u64_to_user_ptr()
    - iov_iter: Fix build error without CONFIG_CRYPTO
    - xtensa: fix initialization of pt_regs::syscall in start_thread
    - ASoC: rockchip: pdm: fix regmap_ops hang issue
    - drm/amdkfd: Add picasso pci id
    - drm/amdgpu: Adjust IB test timeout for XGMI configuration
    - drm/amdgpu: amdgpu_device_recover_vram always failed if only one node in
      shadow_list
    - drm/amd/display: fix cursor black issue
...

Changed in linux-aws (Ubuntu Disco):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (57.8 KiB)

This bug was fixed in the package linux-azure - 5.0.0-1012.12

---------------
linux-azure (5.0.0-1012.12) disco; urgency=medium

  * linux-azure: 5.0.0-1012.12 -proposed tracker (LP: #1834888)

  * Disco update: 5.0.12 upstream stable release (LP: #1830934)
    - [Config] Document drop of axis-fifo for amd64/i386

  * AX88772A USB to Ethernet dongle doesn't work (LP: #1834114)
    - [Config] update configs and annotations for ASIX renamed

  [ Ubuntu: 5.0.0-21.22 ]

  * linux: 5.0.0-21.22 -proposed tracker (LP: #1834902)
  * Disco update: 5.0.15 upstream stable release (LP: #1834529)
    - net: stmmac: Use bfsize1 in ndesc_init_rx_desc
    - Drivers: hv: vmbus: Remove the undesired put_cpu_ptr() in hv_synic_cleanup()
    - ubsan: Fix nasty -Wbuiltin-declaration-mismatch GCC-9 warnings
    - staging: greybus: power_supply: fix prop-descriptor request size
    - staging: wilc1000: Avoid GFP_KERNEL allocation from atomic context.
    - staging: most: cdev: fix chrdev_region leak in mod_exit
    - staging: most: sound: pass correct device when creating a sound card
    - ASoC: tlv320aic3x: fix reset gpio reference counting
    - ASoC: hdmi-codec: fix S/PDIF DAI
    - ASoC: stm32: sai: fix iec958 controls indexation
    - ASoC: stm32: sai: fix exposed capabilities in spdif mode
    - ASoC: stm32: sai: fix race condition in irq handler
    - ASoC:soc-pcm:fix a codec fixup issue in TDM case
    - ASoC:hdac_hda:use correct format to setup hda codec
    - ASoC:intel:skl:fix a simultaneous playback & capture issue on hda platform
    - ASoC: dpcm: prevent snd_soc_dpcm use after free
    - ASoC: nau8824: fix the issue of the widget with prefix name
    - ASoC: nau8810: fix the issue of widget with prefixed name
    - ASoC: samsung: odroid: Fix clock configuration for 44100 sample rate
    - ASoC: rt5682: Check JD status when system resume
    - ASoC: rt5682: fix jack type detection issue
    - ASoC: rt5682: recording has no sound after booting
    - ASoC: wm_adsp: Add locking to wm_adsp2_bus_error
    - clk: meson-gxbb: round the vdec dividers to closest
    - ASoC: stm32: dfsdm: manage multiple prepare
    - ASoC: stm32: dfsdm: fix debugfs warnings on entry creation
    - ASoC: cs4270: Set auto-increment bit for register writes
    - ASoC: dapm: Fix NULL pointer dereference in snd_soc_dapm_free_kcontrol
    - drm/omap: hdmi4_cec: Fix CEC clock handling for PM
    - IB/hfi1: Clear the IOWAIT pending bits when QP is put into error state
    - IB/hfi1: Eliminate opcode tests on mr deref
    - IB/hfi1: Fix the allocation of RSM table
    - MIPS: KGDB: fix kgdb support for SMP platforms.
    - ASoC: tlv320aic32x4: Fix Common Pins
    - drm/mediatek: Fix an error code in mtk_hdmi_dt_parse_pdata()
    - perf/x86/intel: Fix handling of wakeup_events for multi-entry PEBS
    - perf/x86/intel: Initialize TFA MSR
    - linux/kernel.h: Use parentheses around argument in u64_to_user_ptr()
    - iov_iter: Fix build error without CONFIG_CRYPTO
    - xtensa: fix initialization of pt_regs::syscall in start_thread
    - ASoC: rockchip: pdm: fix regmap_ops hang issue
    - drm/amdkfd: Add picasso pci id
    - drm/amdgpu: Adjust IB test timeout for XGMI configuration
   ...

Changed in linux-azure (Ubuntu Disco):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (57.5 KiB)

This bug was fixed in the package linux - 5.0.0-21.22

---------------
linux (5.0.0-21.22) disco; urgency=medium

  * linux: 5.0.0-21.22 -proposed tracker (LP: #1834902)

  * Disco update: 5.0.15 upstream stable release (LP: #1834529)
    - net: stmmac: Use bfsize1 in ndesc_init_rx_desc
    - Drivers: hv: vmbus: Remove the undesired put_cpu_ptr() in hv_synic_cleanup()
    - ubsan: Fix nasty -Wbuiltin-declaration-mismatch GCC-9 warnings
    - staging: greybus: power_supply: fix prop-descriptor request size
    - staging: wilc1000: Avoid GFP_KERNEL allocation from atomic context.
    - staging: most: cdev: fix chrdev_region leak in mod_exit
    - staging: most: sound: pass correct device when creating a sound card
    - ASoC: tlv320aic3x: fix reset gpio reference counting
    - ASoC: hdmi-codec: fix S/PDIF DAI
    - ASoC: stm32: sai: fix iec958 controls indexation
    - ASoC: stm32: sai: fix exposed capabilities in spdif mode
    - ASoC: stm32: sai: fix race condition in irq handler
    - ASoC:soc-pcm:fix a codec fixup issue in TDM case
    - ASoC:hdac_hda:use correct format to setup hda codec
    - ASoC:intel:skl:fix a simultaneous playback & capture issue on hda platform
    - ASoC: dpcm: prevent snd_soc_dpcm use after free
    - ASoC: nau8824: fix the issue of the widget with prefix name
    - ASoC: nau8810: fix the issue of widget with prefixed name
    - ASoC: samsung: odroid: Fix clock configuration for 44100 sample rate
    - ASoC: rt5682: Check JD status when system resume
    - ASoC: rt5682: fix jack type detection issue
    - ASoC: rt5682: recording has no sound after booting
    - ASoC: wm_adsp: Add locking to wm_adsp2_bus_error
    - clk: meson-gxbb: round the vdec dividers to closest
    - ASoC: stm32: dfsdm: manage multiple prepare
    - ASoC: stm32: dfsdm: fix debugfs warnings on entry creation
    - ASoC: cs4270: Set auto-increment bit for register writes
    - ASoC: dapm: Fix NULL pointer dereference in snd_soc_dapm_free_kcontrol
    - drm/omap: hdmi4_cec: Fix CEC clock handling for PM
    - IB/hfi1: Clear the IOWAIT pending bits when QP is put into error state
    - IB/hfi1: Eliminate opcode tests on mr deref
    - IB/hfi1: Fix the allocation of RSM table
    - MIPS: KGDB: fix kgdb support for SMP platforms.
    - ASoC: tlv320aic32x4: Fix Common Pins
    - drm/mediatek: Fix an error code in mtk_hdmi_dt_parse_pdata()
    - perf/x86/intel: Fix handling of wakeup_events for multi-entry PEBS
    - perf/x86/intel: Initialize TFA MSR
    - linux/kernel.h: Use parentheses around argument in u64_to_user_ptr()
    - iov_iter: Fix build error without CONFIG_CRYPTO
    - xtensa: fix initialization of pt_regs::syscall in start_thread
    - ASoC: rockchip: pdm: fix regmap_ops hang issue
    - drm/amdkfd: Add picasso pci id
    - drm/amdgpu: Adjust IB test timeout for XGMI configuration
    - drm/amdgpu: amdgpu_device_recover_vram always failed if only one node in
      shadow_list
    - drm/amd/display: fix cursor black issue
    - ASoC: cs35l35: Disable regulators on driver removal
    - objtool: Add rewind_stack_do_exit() to the noreturn list
    - slab: fix a crash by reading /proc/slab_allocators
    - drm/sun4i: tcon top: Fix NULL/inv...

Changed in linux (Ubuntu Disco):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (57.6 KiB)

This bug was fixed in the package linux-aws - 5.0.0-1011.12

---------------
linux-aws (5.0.0-1011.12) disco; urgency=medium

  * linux-aws: 5.0.0-1011.12 -proposed tracker (LP: #1834886)

  * AX88772A USB to Ethernet dongle doesn't work (LP: #1834114)
    - [Config] aws: update configs for ASIX rename

  [ Ubuntu: 5.0.0-21.22 ]

  * linux: 5.0.0-21.22 -proposed tracker (LP: #1834902)
  * Disco update: 5.0.15 upstream stable release (LP: #1834529)
    - net: stmmac: Use bfsize1 in ndesc_init_rx_desc
    - Drivers: hv: vmbus: Remove the undesired put_cpu_ptr() in hv_synic_cleanup()
    - ubsan: Fix nasty -Wbuiltin-declaration-mismatch GCC-9 warnings
    - staging: greybus: power_supply: fix prop-descriptor request size
    - staging: wilc1000: Avoid GFP_KERNEL allocation from atomic context.
    - staging: most: cdev: fix chrdev_region leak in mod_exit
    - staging: most: sound: pass correct device when creating a sound card
    - ASoC: tlv320aic3x: fix reset gpio reference counting
    - ASoC: hdmi-codec: fix S/PDIF DAI
    - ASoC: stm32: sai: fix iec958 controls indexation
    - ASoC: stm32: sai: fix exposed capabilities in spdif mode
    - ASoC: stm32: sai: fix race condition in irq handler
    - ASoC:soc-pcm:fix a codec fixup issue in TDM case
    - ASoC:hdac_hda:use correct format to setup hda codec
    - ASoC:intel:skl:fix a simultaneous playback & capture issue on hda platform
    - ASoC: dpcm: prevent snd_soc_dpcm use after free
    - ASoC: nau8824: fix the issue of the widget with prefix name
    - ASoC: nau8810: fix the issue of widget with prefixed name
    - ASoC: samsung: odroid: Fix clock configuration for 44100 sample rate
    - ASoC: rt5682: Check JD status when system resume
    - ASoC: rt5682: fix jack type detection issue
    - ASoC: rt5682: recording has no sound after booting
    - ASoC: wm_adsp: Add locking to wm_adsp2_bus_error
    - clk: meson-gxbb: round the vdec dividers to closest
    - ASoC: stm32: dfsdm: manage multiple prepare
    - ASoC: stm32: dfsdm: fix debugfs warnings on entry creation
    - ASoC: cs4270: Set auto-increment bit for register writes
    - ASoC: dapm: Fix NULL pointer dereference in snd_soc_dapm_free_kcontrol
    - drm/omap: hdmi4_cec: Fix CEC clock handling for PM
    - IB/hfi1: Clear the IOWAIT pending bits when QP is put into error state
    - IB/hfi1: Eliminate opcode tests on mr deref
    - IB/hfi1: Fix the allocation of RSM table
    - MIPS: KGDB: fix kgdb support for SMP platforms.
    - ASoC: tlv320aic32x4: Fix Common Pins
    - drm/mediatek: Fix an error code in mtk_hdmi_dt_parse_pdata()
    - perf/x86/intel: Fix handling of wakeup_events for multi-entry PEBS
    - perf/x86/intel: Initialize TFA MSR
    - linux/kernel.h: Use parentheses around argument in u64_to_user_ptr()
    - iov_iter: Fix build error without CONFIG_CRYPTO
    - xtensa: fix initialization of pt_regs::syscall in start_thread
    - ASoC: rockchip: pdm: fix regmap_ops hang issue
    - drm/amdkfd: Add picasso pci id
    - drm/amdgpu: Adjust IB test timeout for XGMI configuration
    - drm/amdgpu: amdgpu_device_recover_vram always failed if only one node in
      shadow_list
    - drm/amd/display: fix cursor black issue
...

Changed in linux-aws (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (57.8 KiB)

This bug was fixed in the package linux-azure - 5.0.0-1012.12

---------------
linux-azure (5.0.0-1012.12) disco; urgency=medium

  * linux-azure: 5.0.0-1012.12 -proposed tracker (LP: #1834888)

  * Disco update: 5.0.12 upstream stable release (LP: #1830934)
    - [Config] Document drop of axis-fifo for amd64/i386

  * AX88772A USB to Ethernet dongle doesn't work (LP: #1834114)
    - [Config] update configs and annotations for ASIX renamed

  [ Ubuntu: 5.0.0-21.22 ]

  * linux: 5.0.0-21.22 -proposed tracker (LP: #1834902)
  * Disco update: 5.0.15 upstream stable release (LP: #1834529)
    - net: stmmac: Use bfsize1 in ndesc_init_rx_desc
    - Drivers: hv: vmbus: Remove the undesired put_cpu_ptr() in hv_synic_cleanup()
    - ubsan: Fix nasty -Wbuiltin-declaration-mismatch GCC-9 warnings
    - staging: greybus: power_supply: fix prop-descriptor request size
    - staging: wilc1000: Avoid GFP_KERNEL allocation from atomic context.
    - staging: most: cdev: fix chrdev_region leak in mod_exit
    - staging: most: sound: pass correct device when creating a sound card
    - ASoC: tlv320aic3x: fix reset gpio reference counting
    - ASoC: hdmi-codec: fix S/PDIF DAI
    - ASoC: stm32: sai: fix iec958 controls indexation
    - ASoC: stm32: sai: fix exposed capabilities in spdif mode
    - ASoC: stm32: sai: fix race condition in irq handler
    - ASoC:soc-pcm:fix a codec fixup issue in TDM case
    - ASoC:hdac_hda:use correct format to setup hda codec
    - ASoC:intel:skl:fix a simultaneous playback & capture issue on hda platform
    - ASoC: dpcm: prevent snd_soc_dpcm use after free
    - ASoC: nau8824: fix the issue of the widget with prefix name
    - ASoC: nau8810: fix the issue of widget with prefixed name
    - ASoC: samsung: odroid: Fix clock configuration for 44100 sample rate
    - ASoC: rt5682: Check JD status when system resume
    - ASoC: rt5682: fix jack type detection issue
    - ASoC: rt5682: recording has no sound after booting
    - ASoC: wm_adsp: Add locking to wm_adsp2_bus_error
    - clk: meson-gxbb: round the vdec dividers to closest
    - ASoC: stm32: dfsdm: manage multiple prepare
    - ASoC: stm32: dfsdm: fix debugfs warnings on entry creation
    - ASoC: cs4270: Set auto-increment bit for register writes
    - ASoC: dapm: Fix NULL pointer dereference in snd_soc_dapm_free_kcontrol
    - drm/omap: hdmi4_cec: Fix CEC clock handling for PM
    - IB/hfi1: Clear the IOWAIT pending bits when QP is put into error state
    - IB/hfi1: Eliminate opcode tests on mr deref
    - IB/hfi1: Fix the allocation of RSM table
    - MIPS: KGDB: fix kgdb support for SMP platforms.
    - ASoC: tlv320aic32x4: Fix Common Pins
    - drm/mediatek: Fix an error code in mtk_hdmi_dt_parse_pdata()
    - perf/x86/intel: Fix handling of wakeup_events for multi-entry PEBS
    - perf/x86/intel: Initialize TFA MSR
    - linux/kernel.h: Use parentheses around argument in u64_to_user_ptr()
    - iov_iter: Fix build error without CONFIG_CRYPTO
    - xtensa: fix initialization of pt_regs::syscall in start_thread
    - ASoC: rockchip: pdm: fix regmap_ops hang issue
    - drm/amdkfd: Add picasso pci id
    - drm/amdgpu: Adjust IB test timeout for XGMI configuration
   ...

Changed in linux-azure (Ubuntu):
status: New → Fix Released
Brad Figg (brad-figg) on 2019-07-24
tags: added: cscc
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers